Summary:          Utility library for 389 administration
Name:             389-adminutil
Version:          1.1.15
Release:          %mkrel 3
License:          LGPLv2
URL:              http://port389.org/wiki/AdminUti
Source0:          http://port389.org/sources/%{name}-%{version}.tar.bz2
Patch0:		  389-adminutil-1.1.14-link.patch
Group:            Databases
BuildRequires:    nspr-devel
BuildRequires:    nss-devel
BuildRequires:    openldap-devel
BuildRequires:    libicu-devel
BuildRequires:    icu
Provides:         adminutil = %{version}-%{release}

%description
%{name} is libraries of functions used to administer directory
servers, usually in conjunction with the admin server.  %{name} is
broken into two libraries - libadminutil contains the basic
functionality, and libadmsslutil contains SSL versions and wrappers
around the basic functions.  The PSET functions allow applications to
store their preferences and configuration parameters in LDAP, without
having to know anything about LDAP.  The configuration is cached in a
local file, allowing applications to function even if the LDAP server
is down.  The other code is typically used by CGI programs used for
directory server management, containing GET/POST processing code as
well as resource handling (ICU ures API).

%package devel
Summary:  	Development and header files for %{name}
Group:    	Development/Databases
Requires:	%{name} = %{version}-%{release}
Requires: 	pkgconfig
Requires: 	nspr-devel
Requires: 	nss-devel
Requires: 	openldap-devel
Requires: 	libicu-devel
Provides:  	adminutil-devel = %{version}-%{release}
Obsoletes:	adminutil-devel < 1.1.8-2

%description devel
Development files and header files necessary to build applications
that use %{name}.

%prep
%setup -q
%apply_patches

%build
autoreconf -fi
%configure2_5x --disable-tests \
           --with-openldap
%make

%install

%{__make} install DESTDIR=%{buildroot} INSTALL="%{__install} -p"
%{__rm} -f %{buildroot}%{_libdir}/lib*.a
%{__rm} -f %{buildroot}%{_libdir}/lib*.la


%files
%doc LICENSE README NEWS
%{_libdir}/*.so.*
%{_datadir}/%{name}

%files devel
%{_libdir}/pkgconfig/%{name}.pc
%{_libdir}/*.so
%{_includedir}/libadminutil
%{_includedir}/libadmsslutil


%changelog

* Sat Mar 02 2013 spuhler <spuhler> 1.1.15-3.mga3
+ Revision: 400960
- replaced Fedora macros with mga "%%{buildroot}"

* Fri Jan 11 2013 umeabot <umeabot> 1.1.15-2.mga3
+ Revision: 345048
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sat Dec 01 2012 spuhler <spuhler> 1.1.15-1.mga3
+ Revision: 324163
- upgrade to 1.1.15

* Fri Nov 09 2012 fwang <fwang> 1.1.14-2.mga3
+ Revision: 316626
- fix linkage
- rebuild for new icu

* Thu Oct 25 2012 spuhler <spuhler> 1.1.14-1.mga3
+ Revision: 309905
- imported package 389-adminutil

